package fr.jelora.jraspitools;

public enum RasPiPin {
	GPIO02_SDA1_I2C(3, 2),
	GPIO03_SCL1_I2C(5, 3),
	GPIO04(7, 4),
	GPIO14_UART0_TXD(8, 14),
	GPIO15_UART0_RXD(10, 15),
	GPIO17(11, 17),
	GPIO18_PCM_CLK(12, 18),
	GPIO27(13, 27),
	GPIO22(15, 22),
	GPIO23(16, 23),
	GPIO24(18, 24),
	GPIO10_SPI0_MOSI(19, 10),
	GPIO09_SPI0_MISO(21, 9),
	GPIO25(22, 25),
	GPIO11_SPI0_SCLK(23, 11),
	GPIO08_SPI0_CE0_N(24, 8),
	GPIO07_SPI0_CE1_N(26, 7),
	GPIO05(29, 5),
	GPIO06(31, 6),
	GPIO12(32, 12),
	GPIO13(33, 13),
	GPIO19(35, 19),
	GPIO16(36, 16),
	GPIO26(37, 26),
	GPIO20(38, 20),
	GPIO21(40, 21);
	
	private int idPin;
	private int idGPIO;
	
	private RasPiPin(int idPin, int idGPIO){
		this.idGPIO = idGPIO;
	}

	public int getIdPin() {
		return idPin;
	}

	public int getIdGPIO() {
		return idGPIO;
	}
}
